#!/bin/bash 
#A script to infer the next connexion id that will be used as a key
#to access to the web100 stats.
# Copyright or Copr. INRIA/RESO - Romaric GUILLIER, Pascale VICAT-BLANC PRIMET 
#
# Pascale VICAT-BLANC PRIMET - <pascale.primet@inria.fr>
# Romaric GUILLIER           - <romaric.guillier@ens-lyon.fr>
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info". 
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.
# 
# For more information, see the file COPYING
#
# $Id: get_next_connexion_id.sh,v 1.2 2008-11-06 11:26:40 rguillie Exp $



#Opening a TCP connexion with an iperf looping on itself 
iperf -s > /dev/null &
iperf -c `hostname` -t 0.0 > /dev/null 

#
last_id=`ls -lrt /proc/web100 | grep dr | awk '{print $9;}' | sort -n | tail -n 1`
#echo "last_id=$last_id"
next_id=`expr $last_id + 1`

#echo "next_id=$next_id"

#killing all the iperf process
killall iperf > /dev/null

#Printing out the 
echo $next_id
